Update an organization
curl --request PATCH \
--url https://b.anny.co/api/v1/organizations/{organization_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"type": "organizations",
"attributes": {
"slug": "<string>",
"name": "<string>",
"official_name": "<string>",
"description": "<string>",
"plain_description": "<string>",
"support_email": "<string>",
"phone": "<string>",
"currency": "<string>",
"timezone": "<string>",
"country_code": "<string>",
"region": "<string>",
"uses_payments": true,
"automated_invoicing": true,
"is_organization": true,
"default_locale": "<string>",
"live": true,
"features": {},
"preview_token": "<string>",
"setup_completed": true,
"requires_subscription": true,
"billing_address": {},
"billing_email": "<string>",
"custom_styles": {},
"responsible_for_contents": "<string>",
"ceo": "<string>",
"vat_id": "<string>",
"register_number": "<string>",
"local_court": "<string>",
"financial_office": "<string>",
"email_info": "<string>",
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"industry": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"addresses": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"resources": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"cover_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"logo_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"negative_logo_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"organization_users": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"legal_documents": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"bank_accounts": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"resource_groups": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"integrations": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"location": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"main_subscription": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"payment_account": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}
'import requests
url = "https://b.anny.co/api/v1/organizations/{organization_id}"
payload = { "data": {
"id": "<string>",
"type": "organizations",
"attributes": {
"slug": "<string>",
"name": "<string>",
"official_name": "<string>",
"description": "<string>",
"plain_description": "<string>",
"support_email": "<string>",
"phone": "<string>",
"currency": "<string>",
"timezone": "<string>",
"country_code": "<string>",
"region": "<string>",
"uses_payments": True,
"automated_invoicing": True,
"is_organization": True,
"default_locale": "<string>",
"live": True,
"features": {},
"preview_token": "<string>",
"setup_completed": True,
"requires_subscription": True,
"billing_address": {},
"billing_email": "<string>",
"custom_styles": {},
"responsible_for_contents": "<string>",
"ceo": "<string>",
"vat_id": "<string>",
"register_number": "<string>",
"local_court": "<string>",
"financial_office": "<string>",
"email_info": "<string>",
"created_at": "<string>"
},
"links": { "self": "<string>" },
"relationships": {
"industry": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
},
"addresses": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
},
"resources": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
},
"cover_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
},
"logo_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
},
"negative_logo_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
},
"organization_users": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
},
"legal_documents": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
},
"bank_accounts": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
},
"resource_groups": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
},
"integrations": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
},
"location": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
},
"main_subscription": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
},
"payment_account": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '<string>',
type: 'organizations',
attributes: {
slug: '<string>',
name: '<string>',
official_name: '<string>',
description: '<string>',
plain_description: '<string>',
support_email: '<string>',
phone: '<string>',
currency: '<string>',
timezone: '<string>',
country_code: '<string>',
region: '<string>',
uses_payments: true,
automated_invoicing: true,
is_organization: true,
default_locale: '<string>',
live: true,
features: {},
preview_token: '<string>',
setup_completed: true,
requires_subscription: true,
billing_address: {},
billing_email: '<string>',
custom_styles: {},
responsible_for_contents: '<string>',
ceo: '<string>',
vat_id: '<string>',
register_number: '<string>',
local_court: '<string>',
financial_office: '<string>',
email_info: '<string>',
created_at: '<string>'
},
links: {self: '<string>'},
relationships: {
industry: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}},
addresses: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}},
resources: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}},
cover_image: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}},
logo_image: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}},
negative_logo_image: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}},
organization_users: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}},
legal_documents: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}},
bank_accounts: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}},
resource_groups: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}},
integrations: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}},
location: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}},
main_subscription: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}},
payment_account: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}}
}
}
})
};
fetch('https://b.anny.co/api/v1/organizations/{organization_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "organizations",
"attributes": {
"slug": "<string>",
"name": "<string>",
"official_name": "<string>",
"description": "<string>",
"plain_description": "<string>",
"support_email": "<string>",
"phone": "<string>",
"currency": "<string>",
"timezone": "<string>",
"country_code": "<string>",
"region": "<string>",
"uses_payments": true,
"automated_invoicing": true,
"is_organization": true,
"default_locale": "<string>",
"live": true,
"features": {},
"preview_token": "<string>",
"setup_completed": true,
"requires_subscription": true,
"billing_address": {},
"billing_email": "<string>",
"custom_styles": {},
"responsible_for_contents": "<string>",
"ceo": "<string>",
"vat_id": "<string>",
"register_number": "<string>",
"local_court": "<string>",
"financial_office": "<string>",
"email_info": "<string>",
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"industry": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"addresses": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"resources": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"cover_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"logo_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"negative_logo_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"organization_users": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"legal_documents": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"bank_accounts": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"resource_groups": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"integrations": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"location": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"main_subscription": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"payment_account": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}Organization & Users
Update an organization
PATCH
/
api
/
v1
/
organizations
/
{organization_id}
Update an organization
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The organization identifier.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
A tenant organization that owns resources, services, and manages bookings.
Show child attributes
Show child attributes
Antwort
200 - application/vnd.api+json
OK
A tenant organization that owns resources, services, and manages bookings.
Show child attributes
Show child attributes
⌘I